!c Description:
!c  NetCDF ファイルの作成
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-20    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_netcdf_enddef
  interface 

     subroutine netcdf_enddef(ncid)
       integer, intent(in)      :: ncid
     end subroutine netcdf_enddef
     
  end interface
end module interface_netcdf_enddef


subroutine netcdf_enddef(ncid)
  use netcdf
  use interface_netcdf_err
  
  implicit none  
  integer, intent(in)      :: ncid
  integer                  :: status


  status = nf90_enddef(ncid)
  if(status /= nf90_noerr) call netcdf_err(status)
  
end subroutine netcdf_enddef
